TITLE		ProfBox

.Model		SMALL
.STACK		100h

WINDESC		STRUCT
			UpperRow		BYTE ?
			LeftCol			BYTE ?
			LowerRow		BYTE ?
			RightCol		BYTE ?
			ForeColor		BYTE ?
			BackColor		BYTE ?
WINDESC		ENDS

EXIT		MACRO
			Mov	ax, 4C00h
			INT 21h
			ENDM
			
.DATA
Application		WINDESC <05h, 05h, 15h, 45h, 07h, 10h>

.CODE
Curpos		PROC
         push      bp
         mov       bp, sp
         push      ax
         push      bx
         push      dx

         mov         ax, 0200h
         mov         bh, 0
         mov         dx, [bp+4]
         int         10h
	     pop         dx
         pop         bx
         pop         ax
         pop         bp
         ret         2
Curpos		ENDP

putchar     PROC 
         push      bp
         mov         bp, sp
         push      ax
         push      bx
         push      cx
         push      dx
         
         pop         dx
         pop         cx
         pop         bx
         pop         ax
         pop         bp
         ret         2
putchar      ENDP

makewin      PROC
         push      bp
         mov       bp, sp
         push      ax
         push      bx
         push      cx
         push      dx
         push      si
         
         mov         si, [bp+4]
         
         mov         ax, 0600h
         mov         bh, (WINDESC PTR[si]) .backColor
         mov         ch, (WINDESC PTR[si]) .upperRow
         mov         cl, (WINDESC PTR[si]) .leftCol
         mov         dh, (WINDESC PTR[si]) .lowerRow
         mov         dl, (WINDESC PTR[si]) .rightCol
         int         10h
         
         push      cx
         call      curpos
         
         pop         si
         pop         dx
         pop         cx
         pop         bx
         pop         ax
         pop         bp
         ret         2
makewin      ENDP

MAIN		PROC
			mov		AX, @DATA
			mov		DS, AX
			mov		ax, OFFSET Application
			push	ax
			
			CALL	makewin
			EXIT
MAIN		ENDP
			END		MAIN